Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class UnsatisfiedConditionsUnreadyReason

    java.lang.Object
      ix.ip2.ActionUnreadyReason
          ix.ip2.UnsatisfiedConditionsUnreadyReason

    public class UnsatisfiedConditionsUnreadyReason

extends ActionUnreadyReason

Explains that a `HandlerAction` is not ready to be used because conditions cannot be satisfied.

See Also:
  `HandlerAction.isReady()`, `HandlerAction.getUnreadyReason()`

Field Summary
`protected MatchEnv` | `condEnv`
`protected java.lang.String[]` | `explanation`
`protected java.util.List` | `satisfiedConditions`
`protected java.util.List` | `unsatisfiedConditions`

Fields inherited from class ix.ip2.ActionUnreadyReason
`action`

Constructor Summary
`UnsatisfiedConditionsUnreadyReason(HandlerAction action, java.util.List allConditions, java.util.List satisfiedConditions, MatchEnv condEnv)` Creates an unready reason for the specified action and conditions.

Method Summary
`protected java.util.List` | `condDescrs(java.lang.String label, java.util.List conds)`
`protected java.lang.String` | `envDescription(MatchEnv env)`
`MatchEnv` | `getConditionEnv()`
`java.lang.String[]` | `getExplanation()` Returns an explanation in natural language, suitable for presenting to a user.
`java.util.List` | `getSatisfiedConditions()`
`java.util.List` | `getUnsatisfiedConditions()`
`protected java.lang.String[]` | `makeExplanation()`

Methods inherited from class ix.ip2.ActionUnreadyReason
`getAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### satisfiedConditions

    protected java.util.List satisfiedConditions

### unsatisfiedConditions

    protected java.util.List unsatisfiedConditions

### condEnv

    protected MatchEnv condEnv

### explanation

    protected java.lang.String[] explanation

Constructor Detail

### UnsatisfiedConditionsUnreadyReason

    public UnsatisfiedConditionsUnreadyReason(HandlerAction action,
                                              java.util.List allConditions,
                                              java.util.List satisfiedConditions,
                                              MatchEnv condEnv)

  Creates an unready reason for the specified action and conditions.

Method Detail

### getSatisfiedConditions

    public java.util.List getSatisfiedConditions()

### getUnsatisfiedConditions

    public java.util.List getUnsatisfiedConditions()

### getConditionEnv

    public MatchEnv getConditionEnv()

### getExplanation

    public java.lang.String[] getExplanation()

  Description copied from class: `ActionUnreadyReason`
  Returns an explanation in natural language, suitable for presenting to a user. Successive elements of the returned array are treated as successive lines of the explanation.

  Specified by:
    `getExplanation` in class `ActionUnreadyReason`

### makeExplanation

    protected java.lang.String[] makeExplanation()

### condDescrs

    protected java.util.List condDescrs(java.lang.String label,
                                        java.util.List conds)

### envDescription

    protected java.lang.String envDescription(MatchEnv env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD